package eu.mhsl.minecraft.pixelblocks.pixelblock;

import org.bukkit.Location;
import org.bukkit.block.data.BlockData;
import org.bukkit.entity.BlockDisplay;
import org.bukkit.entity.EntityType;
import org.bukkit.util.Transformation;

public class Pixel {
    Location relativeLocation;
    BlockData blockData;
    double scale;

    public Pixel(Location relativeLocation, BlockData blockData, double scale) {
        this.relativeLocation = relativeLocation;
        this.blockData = blockData;
        this.scale = scale;
    }

    public void spawn(Location spawnLocation) {
        spawnLocation.add(relativeLocation.x()*scale, relativeLocation.y()*scale, relativeLocation.z()*scale);

        BlockDisplay bd;
        bd = (BlockDisplay) spawnLocation.getWorld().spawnEntity(
            spawnLocation,
            EntityType.BLOCK_DISPLAY
        );

        bd.setBlock(blockData);

        Transformation transform = bd.getTransformation();
        transform.getScale().set(scale);
        bd.setTransformation(transform);

        System.out.println(spawnLocation.x());
        System.out.println(spawnLocation.y());
        System.out.println(spawnLocation.z());
    }
}
